Package org.apache.sysds.runtime.data

## Interface Block

All Known Implementing Classes:
  `DenseBlock`, `DenseBlockBool`, `DenseBlockDRB`, `DenseBlockFP32`, `DenseBlockFP64`, `DenseBlockInt32`, `DenseBlockInt64`, `DenseBlockLBool`, `DenseBlockLDRB`, `DenseBlockLFP32`, `DenseBlockLFP64`, `DenseBlockLInt32`, `DenseBlockLInt64`, `DenseBlockLString`, `DenseBlockString`, `SparseBlock`, `SparseBlockCOO`, `SparseBlockCSR`, `SparseBlockMCSR`

    public interface Block

### Method Summary

All Methods Instance Methods Abstract Methods
`double` `get​(int r, int c)` Get value of matrix cell (r,c).

### Method Detail

#### get

    double get​(int r,
               int c)

Get value of matrix cell (r,c). In case of non existing values this call returns 0.

Parameters:
  `r` - row index starting at 0
  `c` - column index starting at 0
Returns:
  value of cell at position (r,c)